import { IDisposable } from '@vscode/monaco-editor/esm/vs/base/common/lifecycle';
import { Event } from '@vscode/monaco-editor/esm/vs/base/common/event';
import { ICommand } from '@vscode/monaco-editor/esm/vs/platform/commands/common/commands';
import { ICommandRegistry, ICommandHandler, ICommandsMap } from '@workbench-stack/core';
export declare class CommandsRegistry implements ICommandRegistry {
    private readonly _commands;
    private readonly _onDidRegisterCommand;
    readonly onDidRegisterCommand: Event<string>;
    registerCommand(idOrCommand: string | ICommand, handler?: ICommandHandler): IDisposable;
    registerCommandAlias(oldId: string, newId: string): IDisposable;
    getCommand(id: string): ICommand | undefined;
    getCommands(): ICommandsMap;
}
