import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
import { IStatusbarService, IStatusbarEntry, StatusbarAlignment } from '@workbench-stack/core';
export declare class StatusbarService implements IStatusbarService {
    protected client: ApolloClient<any>;
    protected cache: InMemoryCache;
    constructor(client: ApolloClient<any>, cache: InMemoryCache);
    addEntry(entry: IStatusbarEntry, id: string, name: string, alignment: StatusbarAlignment, priority?: number): boolean;
    removeStatusbarEntry(id: string): boolean;
    updateStatusbarEntry(entry: IStatusbarEntry, id: string, alignment: StatusbarAlignment, priority?: number): boolean;
    setStatusMessage(id: string, message: string): any;
}
